Bug 1782946 - Review Request: xml-maven-plugin - Maven XML Plugin
Summary: Review Request: xml-maven-plugin - Maven XML Plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-12 16:50 UTC by Fabio Valentini
Modified: 2020-01-31 20:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 20:10:40 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2019-12-12 16:50:49 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/xml-maven-plugin.spec
SRPM URL: https://decathorpe.fedorapeople.org/packages/xml-maven-plugin-1.0.2-4.fc31.src.rpm

Description:
A plugin for various XML related tasks like validation and transformation.


Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=39498817


NOTE0: This is a re-review for a retired package. It's required for getting tycho/eclipse into a working state again.

NOTE1: The test suite is disabled because it requires dependencies that are not packaged for fedora.

Comment 1 Robert-André Mauchin 🐧 2019-12-12 18:35:21 UTC
 - repo2.maven.org is returning Error 403 and pointing to repo1.maven.org :

Source0:       https://repo1.maven.org/maven2/org/codehaus/mojo/xml-maven-plugin/%{version}/xml-maven-plugin-%{version}-source-release.zip


 - LICENCE.txt must be installed with %license not %doc:

%files -f .mfiles
%license LICENSE.txt
%doc NOTICE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt
%doc NOTICE.txt


Package approved. Please fix the aforementioned issues before import.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is not marked as %license
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/LicensingGuidelines/#_license_text
- Package does not use a name that already exists.
  Note: A package with this name already exists. Please check
  https://src.fedoraproject.org/rpms/xml-maven-plugin
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/Naming/#_conflicting_package_names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License (v2.0)",
     "Apache License (v2.0)". 46 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/xml-maven-
     plugin/review-xml-maven-plugin/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xml-maven-plugin-1.0.2-4.fc32.noarch.rpm
          xml-maven-plugin-javadoc-1.0.2-4.fc32.noarch.rpm
          xml-maven-plugin-1.0.2-4.fc32.src.rpm
xml-maven-plugin-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Fabio Valentini 2019-12-12 20:15:50 UTC
Thanks for the review!

>  - repo2.maven.org is returning Error 403 and pointing to repo1.maven.org :
> 
> Source0:      
> https://repo1.maven.org/maven2/org/codehaus/mojo/xml-maven-plugin/%{version}/
> xml-maven-plugin-%{version}-source-release.zip

Weird, but good catch. For building the SRPM, I just used the tarball from the lookaside cache that was there from the retired package.

>  - LICENCE.txt must be installed with %license not %doc:
> 
> %files -f .mfiles
> %license LICENSE.txt
> %doc NOTICE.txt
> 
> %files javadoc -f .mfiles-javadoc
> %license LICENSE.txt
> %doc NOTICE.txt

I've changed NOTICE.txt to %license as well, since it contains the copyright notice.

> Package approved. Please fix the aforementioned issues before import.

Fixed locally.

Releng ticket for package unretirement:

https://pagure.io/releng/issue/9102

Comment 3 Mat Booth 2019-12-13 13:28:11 UTC
(In reply to Fabio Valentini from comment #2)
> Releng ticket for package unretirement:
> 
> https://pagure.io/releng/issue/9102

Looks like this ticket is now resolved.

Comment 4 Fabio Valentini 2019-12-13 13:38:43 UTC
Yep, I've already built the package for rawhide.
I'm now waiting on the f31 branch request.

Comment 5 Fedora Update System 2019-12-13 16:09:30 UTC
FEDORA-2019-9d44b5a452 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d44b5a452

Comment 6 Fedora Update System 2019-12-14 00:49:03 UTC
xml-maven-plugin-1.0.2-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9d44b5a452


Note You need to log in before you can comment on or make changes to this bug.